using Silk_Road_Api.Models;

namespace Silk_Road_Api.Repositories;

public interface IDrugRepository : IRepository
{
    public IQueryable<Drug> GetDrugs();
    public Task<Drug> GetDrug(int id);
    public Task<int> ExecuteCount(IQueryable<Drug> query);
    public void GenerateDrugs(int n = 5);
    public Task<IQueryable<ChartModel>> GetChartData();

}
